Package org.apache.lucene.queryparser.flexible.standard.config

# Class StandardQueryConfigHandler.ConfigurationKeys

java.lang.Object
org.apache.lucene.queryparser.flexible.standard.config.StandardQueryConfigHandler.ConfigurationKeys

Enclosing class:
  `StandardQueryConfigHandler`

public static final class StandardQueryConfigHandler.ConfigurationKeys extends Object
Class holding keys for StandardQueryNodeProcessorPipeline options.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ConfigurationKey<Boolean>`
  `ALLOW_LEADING_WILDCARD`
  Key used to set whether leading wildcards are supported
  `static final ConfigurationKey<Analyzer>`
  `ANALYZER`
  Key used to set the `Analyzer` used for terms found in the query
  `static final ConfigurationKey<Float>`
  `BOOST`
  Key used to set the boost value in `FieldConfig` objects.
  `static final ConfigurationKey<DateTools.Resolution>`
  `DATE_RESOLUTION`
  Key used to set default `DateTools.Resolution`.
  `static final ConfigurationKey<StandardQueryConfigHandler.Operator>`
  `DEFAULT_OPERATOR`
  Key used to set the default boolean operator
  `static final ConfigurationKey<Boolean>`
  `ENABLE_POSITION_INCREMENTS`
  Key used to set whether position increments is enabled
  `static final ConfigurationKey<Map<String,Float>>`
  `FIELD_BOOST_MAP`
  Key used to set a field to boost map that is used to set the boost for each field
  `static final ConfigurationKey<Map<CharSequence,DateTools.Resolution>>`
  `FIELD_DATE_RESOLUTION_MAP`
  Key used to set a field to `DateTools.Resolution` map that is used to normalize each date field value.
  `static final ConfigurationKey<FuzzyConfig>`
  `FUZZY_CONFIG`
  Key used to set the `FuzzyConfig` used to create fuzzy queries.
  `static final ConfigurationKey<Locale>`
  `LOCALE`
  Key used to set the `Locale` used when parsing the query
  `static final ConfigurationKey<CharSequence[]>`
  `MULTI_FIELDS`
  Key used to set the fields a query should be expanded to when the field is `null`
  `static final ConfigurationKey<MultiTermQuery.RewriteMethod>`
  `MULTI_TERM_REWRITE_METHOD`
  Key used to set the `MultiTermQuery.RewriteMethod` used when creating queries
  `static final ConfigurationKey<Integer>`
  `PHRASE_SLOP`
  Key used to set the default phrase slop
  `static final ConfigurationKey<PointsConfig>`
  `POINTS_CONFIG`
  Key used to set a field to its `PointsConfig`.
  `static final ConfigurationKey<Map<String,PointsConfig>>`
  `POINTS_CONFIG_MAP`
  Key used to set the `PointsConfig` in `FieldConfig` for point fields.
  `static final ConfigurationKey<TimeZone>`
  `TIMEZONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationKeys()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENABLE_POSITION_INCREMENTS

    public static final ConfigurationKey<Boolean> ENABLE_POSITION_INCREMENTS
    Key used to set whether position increments is enabled
    See Also:
      - `StandardQueryParser.setEnablePositionIncrements(boolean)`
      - `StandardQueryParser.getEnablePositionIncrements()`

  - ### ALLOW_LEADING_WILDCARD

    public static final ConfigurationKey<Boolean> ALLOW_LEADING_WILDCARD
    Key used to set whether leading wildcards are supported
    See Also:
      - `StandardQueryParser.setAllowLeadingWildcard(boolean)`
      - `StandardQueryParser.getAllowLeadingWildcard()`

  - ### ANALYZER

    public static final ConfigurationKey<Analyzer> ANALYZER
    Key used to set the `Analyzer` used for terms found in the query
    See Also:
      - `StandardQueryParser.setAnalyzer(Analyzer)`
      - `StandardQueryParser.getAnalyzer()`

  - ### DEFAULT_OPERATOR

    public static final ConfigurationKey<StandardQueryConfigHandler.Operator> DEFAULT_OPERATOR
    Key used to set the default boolean operator
    See Also:
      - `StandardQueryParser.setDefaultOperator(org.apache.lucene.queryparser.flexible.standard.config.StandardQueryConfigHandler.Operator)`
      - `StandardQueryParser.getDefaultOperator()`

  - ### PHRASE_SLOP

    public static final ConfigurationKey<Integer> PHRASE_SLOP
    Key used to set the default phrase slop
    See Also:
      - `StandardQueryParser.setPhraseSlop(int)`
      - `StandardQueryParser.getPhraseSlop()`

  - ### LOCALE

    public static final ConfigurationKey<Locale> LOCALE
    Key used to set the `Locale` used when parsing the query
    See Also:
      - `StandardQueryParser.setLocale(Locale)`
      - `StandardQueryParser.getLocale()`

  - ### TIMEZONE

    public static final ConfigurationKey<TimeZone> TIMEZONE

  - ### MULTI_TERM_REWRITE_METHOD

    public static final ConfigurationKey<MultiTermQuery.RewriteMethod> MULTI_TERM_REWRITE_METHOD
    Key used to set the `MultiTermQuery.RewriteMethod` used when creating queries
    See Also:
      - `StandardQueryParser.setMultiTermRewriteMethod(org.apache.lucene.search.MultiTermQuery.RewriteMethod)`
      - `StandardQueryParser.getMultiTermRewriteMethod()`

  - ### MULTI_FIELDS

    public static final ConfigurationKey<CharSequence[]> MULTI_FIELDS
    Key used to set the fields a query should be expanded to when the field is `null`
    See Also:
      - `StandardQueryParser.setMultiFields(CharSequence[])`
      - `StandardQueryParser.getMultiFields()`

  - ### FIELD_BOOST_MAP

    public static final ConfigurationKey<Map<String,Float>> FIELD_BOOST_MAP
    Key used to set a field to boost map that is used to set the boost for each field
    See Also:
      - `StandardQueryParser.setFieldsBoost(Map)`
      - `StandardQueryParser.getFieldsBoost()`

  - ### FIELD_DATE_RESOLUTION_MAP

    public static final ConfigurationKey<Map<CharSequence,DateTools.Resolution>> FIELD_DATE_RESOLUTION_MAP
    Key used to set a field to `DateTools.Resolution` map that is used to normalize each date field value.
    See Also:
      - `StandardQueryParser.setDateResolutionMap(Map)`
      - `StandardQueryParser.getDateResolutionMap()`

  - ### FUZZY_CONFIG

    public static final ConfigurationKey<FuzzyConfig> FUZZY_CONFIG
    Key used to set the `FuzzyConfig` used to create fuzzy queries.
    See Also:
      - `StandardQueryParser.setFuzzyMinSim(float)`
      - `StandardQueryParser.setFuzzyPrefixLength(int)`
      - `StandardQueryParser.getFuzzyMinSim()`
      - `StandardQueryParser.getFuzzyPrefixLength()`

  - ### DATE_RESOLUTION

    public static final ConfigurationKey<DateTools.Resolution> DATE_RESOLUTION
    Key used to set default `DateTools.Resolution`.
    See Also:
      - `StandardQueryParser.setDateResolution(org.apache.lucene.document.DateTools.Resolution)`
      - `StandardQueryParser.getDateResolution()`

  - ### BOOST

    public static final ConfigurationKey<Float> BOOST
    Key used to set the boost value in `FieldConfig` objects.
    See Also:
      - `StandardQueryParser.setFieldsBoost(Map)`
      - `StandardQueryParser.getFieldsBoost()`

  - ### POINTS_CONFIG

    public static final ConfigurationKey<PointsConfig> POINTS_CONFIG
    Key used to set a field to its `PointsConfig`.
    See Also:
      - `StandardQueryParser.setPointsConfigMap(Map)`
      - `StandardQueryParser.getPointsConfigMap()`

  - ### POINTS_CONFIG_MAP

    public static final ConfigurationKey<Map<String,PointsConfig>> POINTS_CONFIG_MAP
    Key used to set the `PointsConfig` in `FieldConfig` for point fields.
    See Also:
      - `StandardQueryParser.setPointsConfigMap(Map)`
      - `StandardQueryParser.getPointsConfigMap()`

- ## Constructor Details

  - ### ConfigurationKeys

    public ConfigurationKeys()